# Generated by Django 3.2 on 2021-05-17 00:03

import uuid

from django.db import migrations


def gen_uuid(apps, schema_editor):
    User = apps.get_model("main", "User")
    for row in User.objects.all():
        row.export_unsubscribe_key = uuid.uuid4()
        row.save(update_fields=["export_unsubscribe_key"])


class Migration(migrations.Migration):
    dependencies = [
        ("main", "0064_user_export_unsubscribe_key"),
    ]

    operations = [
        migrations.RunPython(gen_uuid, reverse_code=migrations.RunPython.noop),
    ]
